Apache Hive

  • 时间:
  • 浏览:1
  • 来源:大发彩神iphone版—电脑版大发彩神8

hive-1.1.0-cdh5.8.0,

hive-1.1.0-cdh5.4.8等版本与Apache hadoop2.7.2与脚本内容兼容错误甚多,且尝试无法处置,于是取舍hive-1.x.x系列的最新版。

hive-1.1.0-apache,

2.Download patch

:

hive-2.0.0-apache,

6.Upload mysql-connector-java-5.1.36-bin.jar 

5.Compile hive-1.2.1

其中大伙尝试了以下 

7.Modify hive-site.xml

机会事先使用CDH5.4.8,其Hive版本为1.1.0,其业务的脚本和jar也在此版本开发,一点有一点依赖性,兼容性等等。想要当大伙计划将CDH5.4.8 Job迁移至AliYun EMR平台上,发现hive-1.1.0-cdh5.4.8与该平台的Apache Hadoop2.7.2 严重不到兼容,于是花了很长时间在做这件事--根据业务脚本和jar包定制大伙的hive-1.2.1-emr版本

1.Download hive-1.2.1 source code

机会使用参数-p1, 就表示忽略第一层,从当前目录找曾经叫ql的目录,在它下面找曾经叫src的目录。另曾经会忽略掉补丁头提到的b目录。

4.Download maven tool and configure parameter

Format: patch -p0|-p1 < xxxx.patch

机会使用参数-p0,就表示从当前目录,找曾经叫作b的目录,在它下面找曾经叫ql的目录,再在它下面找曾经叫src的目录。

Bug1:ADD JAR failing with URL schemes other than file/ivy/hdfs

3.Patch HIVE-11920.1.patch

https://issues.apache.org/jira/browse/HIVE-11920

8.Rerun tar hive files